[Blink] google people api issues

Dan Pascu dan at ag-projects.com
Sat Mar 4 15:08:25 CET 2017


On 1 Mar 2017, at 17:58, Sergio Callegari wrote:

> Hi,
> 
> my Ubuntu system has just received the updated deb package for blink (namely 3.0.3 dated feb 28).
> 
> I have just tried the google contacts functions for the first time. I'm getting the following:
> 
> Could not fetch Google contacts: <HttpError 429 when requesting https://people.googleapis.com/v1/people/me/connections?alt=json&pageSize=500&requestMask.includeField=person.email_addresses%2Cperson.im_clients%2Cperson.metadata%2Cperson.names%2Cperson.organizations%2Cperson.phone_numbers%2Cperson.photos%2Cperson.urls returned "Insufficient tokens for quota group and limit 'ReadGroupCLIENT_PROJECT-1d' of service 'people.googleapis.com' ...
> 
> The changelog mentions Fixed another People API breakage by Google (they restored old behaviour). Is my message due to another api change?

No. That message is because the Google People API has an absurdly low daily quota that can be filled by just 7 blink instances running all day. Because of this the google contacts only work for a couple of hours a day, after their reset at midnight pacific time.

Unfortunately there is nothing we can do about it. We have asked Google for a raised quota, which they said we would get an answer in 2 weeks, and here we are more than 2 months later and they have not answered or increased the quota yet.

> 
> Furthermore, would it be possible to add a GUI for resetting the google credentials?

Can you elaborate? I do not understand what you need or why. If your google credentials change you will be prompted automatically to re-authenticate. Same if you revoke your blink credentials.

> 
> Best regards and thanks for blink
> 
> Sergio Callegari
> 
> _______________________________________________
> Blink mailing list
> Blink at lists.ag-projects.com
> http://lists.ag-projects.com/mailman/listinfo/blink
> 


--
Dan






More information about the Blink mailing list